package MY;

# set up MakeMaker sections

use strict;
use Config;

sub ppd {
    my $self = shift;
    my $abstract = $self->{ABSTRACT};

    my $cmd = -e 'CPAN_PACKAGE' ? 'mk_cpan_ppd' : 'mkppd';
	# Some CPAN packages have their own private bin/mkppd.
    (my $libdir = $INC{'MY/ppd_install.pm'}) =~ s{/MY/ppd_install.pm}{};
    my $mkppd = "bin/$cmd";
    if (!-e $mkppd) {
	($mkppd = $libdir) =~ s{(.*)/lib.*}{$1/bin/$cmd};
    	die "Cannot find $mkppd" if !-f $mkppd;
    }
    $mkppd .= ' CPAN_PACKAGE' if -e 'CPAN_PACKAGE';

    return <<EOT;
ppd : \$(DISTNAME).ppd

\$(DISTNAME).ppd : all
	\$(FULLPERL) -I$libdir $mkppd \$(DISTNAME) \$(VERSION) "$abstract"
EOT
}

sub install {
    my $self = shift;
    return $self->SUPER::install(@_) if $ENV{NO_PPD_INSTALL_TARGET};
    my $ppm = "$Config{installbin}/ppm";
    $ppm = 'ppm' unless -x $ppm;
    return <<EOT;
PPM = $ppm

install : \$(DISTNAME).ppd
	\$(PPM) install `pwd`/\$(DISTNAME).ppd

EOT
}

1;
